=== debian/changelog ===
apper (0.9.1-2) unstable; urgency=medium

  * Bump standards version: No changes needed
  * Add patch to register QPK metatypes for the Plasmoid (Closes: #766432)

 -- Matthias Klumpp <mak@debian.org>  Thu, 23 Oct 2014 19:58:48 +0200

apper (0.9.1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release: 0.9.1
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 20:46:32 +0200

apper (0.9.0-1) experimental; urgency=medium

  * New upstream release: 0.9.0

 -- Matthias Klumpp <mak@debian.org>  Sun, 27 Jul 2014 16:08:00 +0200
