=== debian/control ===
Source: apper
Section: kde
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: chrpath,
               cmake (>= 2.8.4),
               debhelper (>= 9.0.0),
               docbook (>= 4.5),
               kde-workspace-dev (>= 4:4.8),
               kdelibs5-dev (>= 4:4.8),
               libappstream-dev (>= 0.7),
               libdbus-1-dev,
               libdebconf-kde-dev,
               liblistaller-glib-dev (>= 0.5.9-2),
               libpackagekitqt4-dev (>= 0.9.2-4),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.6
Homepage: http://kde-apps.org/content/show.php/Apper?content=84745
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/apper.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/apper.git

Package: apper
Architecture: any
Depends: apper-data (>= ${source:Version}),
         packagekit (>= 0.8.6),
         polkit-kde-1 | policykit-1-gnome,
         software-properties-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apper-appsetup (<< 0.7.2)
Breaks: apper-appsetup (<< 0.7.2)
Recommends: appstream-index
Suggests: debconf-kde-helper,
          listaller
Description: KDE package management tool using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a KDE package manager based on PackageKit,
 as well as package management support for the KDE desktop.
 It implements the PackageKit session API for KDE, which allows
 applications to easily install additional software (e.g. extensions),
 uninstall files and perform simple software status queries.

Package: apper-data
Architecture: all
Replaces: apper (<< 0.7.2)
Breaks: apper (<< 0.7.2)
Depends: ${misc:Depends}
Description: KDE package management tool using PackageKit (data files)
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides data files for Apper, the
 KDE package manager based on PackageKit.

Package: apper-dbg
Section: debug
Architecture: any
Priority: extra
Depends: apper (= ${binary:Version}),
         ${misc:Depends}
Recommends: kdelibs5-dbg
Description: Debugging symbols for Apper
 Apper ist a graphical package manager UI based on the PackageKit
 framework as well as a KDE implementation of the PackageKit session
 installer interface.
 .
 This package contains debugging symbols for Apper.
 When Apper crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced an Apper crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.
