=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/apper/([\d\.]+)/src/apper-([\d\.]+)\.tar\.xz \
  debian git-import-orig
