=== debian/changelog ===
apper (0.9.2+git20161222-3) unstable; urgency=medium

  * Enable AppStream icon download explicitly
  * Don't install the updater Plasmoid (Closes: #851117)
    - The updater Plasmoid is currently broken and will need some
      work to be revived. We can not ship with it for Debian Stretch.
      Having two default-enabled updater icons also is very confusing
      to users, so if the updater gets ported to recent QtQuick and
      received upstream fixes, we can bring it back as separate package.

 -- Matthias Klumpp <mak@debian.org>  Thu, 19 Jan 2017 20:45:22 +0100

apper (0.9.2+git20161222-2) unstable; urgency=medium

  * Hack around rpath oddness (Closes: #849956)
  * apper-icon.patch: Set the right icon for Apper

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Jan 2017 18:24:12 +0100

apper (0.9.2+git20161222-1) unstable; urgency=medium

  * New upstream Git snapshot: 0.9.2+git20161222
    - The package is brought back to unstable due to a lot of
      users requesting it, but since it is essentially dead upstream
      and I do not know how well it works for most users,
      I will drop it from the Debian Stretch release if it is found to
      be unfit and issues can not be fixed in time.
      Any help (patches! - and testing) is appreciated.
  * Use secure Vcs-* URLs
  * Bump dh compat level to 10
  * Drop manual debug package in favor of automatic dbgsym packages

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Dec 2016 20:54:58 +0100

apper (0.9.2+git20150930-1) experimental; urgency=medium

  * New upstream Git snapshot: 0.9.2+git20150930 (e0bf3649)
  * Drop patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Wed, 30 Sep 2015 19:14:45 +0200

apper (0.9.2-3) unstable; urgency=medium

  * Build-depend on libdebconf-kde0-dev
  * Depend on appstream instead of appstream-index

 -- Matthias Klumpp <mak@debian.org>  Wed, 26 Aug 2015 18:15:32 +0200

apper (0.9.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Sun, 21 Jun 2015 14:58:20 +0200

apper (0.9.2-1) experimental; urgency=medium

  * New upstream release: 0.9.2
  * Drop all patches: Applied upstream
  * Fix compiler warning
  * Only depend on Limba on linux-any

 -- Matthias Klumpp <mak@debian.org>  Sun, 26 Apr 2015 16:08:38 +0200
