=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,19 @@
 
 APPER_CONFIG_FLAGS = -DDEBCONF_SUPPORT=ON \
 		-DAPPSTREAM=ON \
-		-DLISTALLER=ON \
 		-DAUTOREMOVE=ON \
 		-DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
+
+ifeq ($(DEB_HOST_ARCH_OS), linux)
+	APPER_CONFIG_FLAGS += -DLIMBA=ON
+endif
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
 %:
-	dh $@ --parallel --with kde --dbg-package=apper-dbg
+	dh $@ --parallel --with kde
 
 override_dh_auto_configure:
 	dh_auto_configure -Skde -- $(APPER_CONFIG_FLAGS)
@@ -21,13 +26,16 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
 
-	# Fix file conflict between GPK and Apper
+	# Fix file conflict between GS and Apper
 	mv $(INSTALLDIR)/usr/share/dbus-1/services/org.freedesktop.PackageKit.service $(INSTALLDIR)/usr/share/dbus-1/services/kde-org.freedesktop.PackageKit.service
-	# Stupid hack to work around cmake rpath bug
+
+	# hack around rpath oddness
 	chrpath --list $(INSTALLDIR)/usr/bin/apper
-	chrpath --replace /usr/lib/apper $(INSTALLDIR)/usr/bin/apper
+	chrpath --replace /usr/lib/$(DEB_HOST_MULTIARCH)/apper $(INSTALLDIR)/usr/bin/apper
 
 override_dh_install:
+	# FIXME: Temporarily disable the update notifier applet
+	rm -f $(INSTALLDIR)/usr/share/kservices5/plasma-applet-org.packagekit.updater
 	dh_install --list-missing
 
 fetch_translations:
