=== debian/watch ===
version=3

http://download.kde.org/stable/apper/([\d\.]+)/src/apper-([\d\.]+)\.tar\.xz \
  debian git-import-orig
